Retrieve Products

Retrieves a list of all of the store's products. You can use this endpoint to resolve the Yotpo product ID in order to update it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

How to use this endpoint

  • Required parameters are listed below. For the full list of properties, see About products.
  • For example responses, click the relevant status code on the right.
  • By default, this endpoint will return the first 10 products in the product catalog.
  • To retrieve more than 10 products in a paginated response, use the count and page parameters.

Example requests

GET /v3/stores/{store_id}/products
GET /v3/stores/{store_id}/products?page_info={page_info}
GET /v3/stores/{store_id}/products?page_info={page_info}&limit={limit}
GET /v3/stores/{store_id}/products?external_ids=ext1,ext2
Path Params
string
required

The store ID (app_key)

Query Params
string
required

Your Yotpo access token. Click here to learn how to generate one

string

Encoded page info

int32
Defaults to 100

Defines how many results will be returned per page. Can be any number between 1 and 100.

string

Return only entities specified by a comma-separated (without spaces) list of external IDs. The argument must be URL encoded. Max 100 IDs. Can't come with page_info or limit.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json